Send trail through plugin
POST
/api/v1/plugin-system/trail-send
const url = 'https://example.com/api/v1/plugin-system/trail-send';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"pluginId":"example","trailId":"example","share":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/plugin-system/trail-send \ --header 'Content-Type: application/json' \ --data '{ "pluginId": "example", "trailId": "example", "share": "example" }'Sends an existing trail to an enabled plugin provider that supports trail transfer.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
pluginId
required
string
trailId
required
string
share
Optional share token used to authorize sending a shared trail.
string
Examplegenerated
{ "pluginId": "example", "trailId": "example", "share": "example"}Responses
Section titled “Responses”Trail sent
Media typeapplication/json
object
ok
boolean
Examplegenerated
{ "ok": true}Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error